%define ver     4.0.1

Summary: LSB Library checker - Moblin Edition
Name: lsb-libchk-me
Version: %ver
Release: 1
License: LF
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-libchk-me-%ver.tar.gz
BuildRoot: /var/tmp/lsb-libchk-root
AutoReqProv: no
Conflicts: lsb-libchk
# lsb-libchk-me is just a renamed lsb-libchk, so all file names and pathes are equal.

%description

lsblibchk-me is a program which looks for Moblin libraries and checks that
those libraries contain the symbols required by the specification.  If
it is required that the symbol be versioned it checks that the symbol
with the correct version exists in the library.

%prep
%setup -q

%build
LSB_MODULES=Multimedia make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} all test

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-libchk-me
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-libchk-me

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/dummy_link
/opt/lsb/bin/libchk
/opt/lsb/bin/lsblibchk
/opt/lsb/doc/lsb-libchk-me/Licence
/opt/lsb/doc/lsb-libchk-me/README
/opt/lsb/man/man1/lsblibchk.1

%changelog
* Wed Apr 22 2009 Andrey Smachev <biga@ispras.ru>
- modified for Moblin Edition

* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- require lsb-setup, be specific with %%files list

* Tue Jan 06 2004 Marvin Heffler <heffler@us.ibm.com>
- Package everything in /opt/lsb instead of listing items individually

* Tue Aug 26 2003 Christopher Yeoh <cyeoh@samba.org>
- Adds packaging of libchk and dummy_link

* Wed Jul 17 2002 Christopher Yeoh <cyeoh@samba.org>
- Adds lsblibchk.1 manpage to package

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.2.1
- Various interface fixes
- Adds a version tag to journal

* Mon Jun 17 2002 Christopher yeoh <cyeoh@samba.org>
- Updated for 1.2
- Resync with 1.2 specification db
- Adds support for PPC32

* Mon May 6 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.4 release

* Mon Apr 29 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.3 release
- Adds support for ia64

* Thu Mar 21 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.2 release

* Mon Jan 7 2002 Christopher Yeoh <cyeoh@samba.org>
- Fixes licence notice
- Update for latest lsblibchk

* Wed Dec 19 2001 Christopher Yeoh <cyeoh@samba.org>
- Initial package

